[arch-commits] CVS update of core/devel/fakeroot (2 files)

Thomas Baechler thomas at archlinux.org
Fri Jan 4 13:12:16 UTC 2008


    Date: Friday, January 4, 2008 @ 14:12:16
  Author: thomas
    Path: /home/cvs-core/core/devel/fakeroot

   Added: fakeroot-acl-unsupported.patch (1.1)
Modified: PKGBUILD (1.11 -> 1.12)

upgpkg: fakeroot 1.8.10-2


--------------------------------+
 PKGBUILD                       |   11 +++++++----
 fakeroot-acl-unsupported.patch |   36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+), 4 deletions(-)


Index: core/devel/fakeroot/PKGBUILD
diff -u core/devel/fakeroot/PKGBUILD:1.11 core/devel/fakeroot/PKGBUILD:1.12
--- core/devel/fakeroot/PKGBUILD:1.11	Sun Dec  9 20:29:40 2007
+++ core/devel/fakeroot/PKGBUILD	Fri Jan  4 14:12:15 2008
@@ -1,9 +1,9 @@
-# $Id: PKGBUILD,v 1.11 2007/12/09 19:29:40 andyrtr Exp $
+# $Id: PKGBUILD,v 1.12 2008/01/04 13:12:15 thomas Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
 # Contributor: Jochem Kossen <j.kossen at home.nl>
 pkgname=fakeroot
 pkgver=1.8.10
-pkgrel=1
+pkgrel=2
 pkgdesc="Gives a fake root environment, useful for building packages as a non-privileged user"
 arch=('i686' 'x86_64')
 license=('GPL')
@@ -12,11 +12,14 @@
 install=fakeroot.install
 depends=('glibc' 'filesystem' 'grep' 'sed')
 options=('!libtool')
-source=(http://ftp.debian.org/debian/pool/main/f/$pkgname/${pkgname}_${pkgver}.tar.gz)
-md5sums=('5ca6dab46ac7e1617edd71f8bb2ed4be')
+source=(http://ftp.debian.org/debian/pool/main/f/$pkgname/${pkgname}_${pkgver}.tar.gz
+        fakeroot-acl-unsupported.patch)
+md5sums=('5ca6dab46ac7e1617edd71f8bb2ed4be'
+         '7f5cff7422e374a10e5209bee90dd861')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  patch -Np1 -i $startdir/src/fakeroot-acl-unsupported.patch || return 1
   ./configure --prefix=/usr --libdir=/usr/lib/libfakeroot
   make || return 1
   make DESTDIR=$startdir/pkg install
Index: core/devel/fakeroot/fakeroot-acl-unsupported.patch
diff -u /dev/null core/devel/fakeroot/fakeroot-acl-unsupported.patch:1.1
--- /dev/null	Fri Jan  4 14:12:16 2008
+++ core/devel/fakeroot/fakeroot-acl-unsupported.patch	Fri Jan  4 14:12:15 2008
@@ -0,0 +1,36 @@
+diff -Nur fakeroot-1.8.10.orig/libfakeroot.c fakeroot-1.8.10/libfakeroot.c
+--- fakeroot-1.8.10.orig/libfakeroot.c	2007-11-21 15:41:08.000000000 +0100
++++ fakeroot-1.8.10/libfakeroot.c	2008-01-04 14:04:44.000000000 +0100
+@@ -57,6 +57,8 @@
+ #include <unistd.h> 
+ #include <dirent.h>
+ #include <errno.h>
++#include <sys/types.h>
++#include <sys/acl.h>
+ 
+ #if !HAVE_DECL_SETENV
+ extern int setenv (const char *name, const char *value, int replace);
+@@ -1461,3 +1463,13 @@
+ {
+   return fakeroot_disabled;
+ }
++
++int acl_set_fd(int fd, acl_t acl) {
++  errno = ENOTSUP;
++  return -1;
++}
++
++int acl_set_file(const char *path_p, acl_type_t type, acl_t acl) {
++  errno = ENOTSUP;
++  return -1;
++}
+diff -Nur fakeroot-1.8.10.orig/wrapfunc.inp fakeroot-1.8.10/wrapfunc.inp
+--- fakeroot-1.8.10.orig/wrapfunc.inp	2007-11-21 22:55:56.000000000 +0100
++++ fakeroot-1.8.10/wrapfunc.inp	2008-01-04 13:59:17.000000000 +0100
+@@ -123,4 +123,5 @@
+ #endif /* HAVE_UNLINKAT */
+ #endif /* HAVE_FSTATAT */
+ 
+-
++acl_set_fd;int;(int fd, acl_t acl);(fd, acl)
++acl_set_file;int;(const char *path_p, acl_type_t type, acl_t acl);(path_p, type, acl)




More information about the arch-commits mailing list